Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
glist_priv.h File Reference
`#include "hdf_priv.h"`

## Data Structures
struct | Generic_list_element
struct | Generic_list_info
struct | Generic_list

## Macros
#define | Generic_stack Generic_list
#define | Generic_queue Generic_list
#define | HDGSinitialize_stack HDGLinitialize_list
#define | HDGSdestroy_stack HDGLdestroy_list
#define | HDGSpush HDGLadd_to_beginning
#define | HDGSpop HDGLremove_from_beginning
#define | HDGSpop_all HDGLremove_all
#define | HDGSpeek_at_top HDGLpeek_at_beginning
#define | HDGScopy_stack HDGLcopy_list
#define | HDGQinitialize_queue HDGLinitialize_list
#define | HDGQdestroy_queue HDGLdestroy_list
#define | HDGQenqueue HDGLadd_to_end
#define | HDGQdequeue HDGLremove_from_beginning
#define | HDGQdequeue_all HDGLremove_all
#define | HDGQpeek_at_head HDGLpeek_at_beginning
#define | HDGQpeek_at_tail HDGLpeek_at_end
#define | HDGQcopy_queue HDGLcopy_list

## Functions
intn | HDGLinitialize_list (Generic_list *list)
intn | HDGLinitialize_sorted_list (Generic_list *list, intn(*lt)(void *a, void *b))
void | HDGLdestroy_list (Generic_list *list)
intn | HDGLadd_to_beginning (Generic_list list, void *pointer)
intn | HDGLadd_to_end (Generic_list list, void *pointer)
intn | HDGLadd_to_list (Generic_list list, void *pointer)
void * | HDGLremove_from_beginning (Generic_list list)
void * | HDGLremove_from_end (Generic_list list)
void * | HDGLremove_from_list (Generic_list list, void *pointer)
void * | HDGLremove_current (Generic_list list)
void | HDGLremove_all (Generic_list list)
void * | HDGLpeek_at_beginning (Generic_list list)
void * | HDGLpeek_at_end (Generic_list list)
void * | HDGLfirst_in_list (Generic_list list)
void * | HDGLcurrent_in_list (Generic_list list)
void * | HDGLlast_in_list (Generic_list list)
void * | HDGLnext_in_list (Generic_list list)
void * | HDGLprevious_in_list (Generic_list list)
void | HDGLreset_to_beginning (Generic_list list)
void | HDGLreset_to_end (Generic_list list)
intn | HDGLnum_of_objects (Generic_list list)
intn | HDGLis_empty (Generic_list list)
intn | HDGLis_in_list (Generic_list list, void *pointer)
Generic_list | HDGLcopy_list (Generic_list list)
void | HDGLperform_on_list (Generic_list list, void(*fn)(void *pointer, void *args), void *args)
void * | HDGLfirst_that (Generic_list list, intn(*fn)(void *pointer, void *args), void *args)
void * | HDGLnext_that (Generic_list list, intn(*fn)(void *pointer, void *args), void *args)
void * | HDGLprevious_that (Generic_list list, intn(*fn)(void *pointer, void *args), void *args)
void * | HDGLlast_that (Generic_list list, intn(*fn)(void *pointer, void *args), void *args)
Generic_list | HDGLall_such_that (Generic_list list, intn(*fn)(void *pointer, void *args), void *args)
void | HDGLremove_all_such_that (Generic_list list, intn(*fn)(void *pointer, void *args), void *args)

## Macro Definition Documentation

## ◆ Generic_queue

#define Generic_queue Generic_list

## ◆ Generic_stack

#define Generic_stack Generic_list

## ◆ HDGQcopy_queue

#define HDGQcopy_queue HDGLcopy_list

## ◆ HDGQdequeue

#define HDGQdequeue HDGLremove_from_beginning

## ◆ HDGQdequeue_all

#define HDGQdequeue_all HDGLremove_all

## ◆ HDGQdestroy_queue

#define HDGQdestroy_queue HDGLdestroy_list

## ◆ HDGQenqueue

#define HDGQenqueue HDGLadd_to_end

## ◆ HDGQinitialize_queue

#define HDGQinitialize_queue HDGLinitialize_list

## ◆ HDGQpeek_at_head

#define HDGQpeek_at_head HDGLpeek_at_beginning

## ◆ HDGQpeek_at_tail

#define HDGQpeek_at_tail HDGLpeek_at_end

## ◆ HDGScopy_stack

#define HDGScopy_stack HDGLcopy_list

## ◆ HDGSdestroy_stack

#define HDGSdestroy_stack HDGLdestroy_list

## ◆ HDGSinitialize_stack

#define HDGSinitialize_stack HDGLinitialize_list

## ◆ HDGSpeek_at_top

#define HDGSpeek_at_top HDGLpeek_at_beginning

## ◆ HDGSpop

#define HDGSpop HDGLremove_from_beginning

## ◆ HDGSpop_all

#define HDGSpop_all HDGLremove_all

## ◆ HDGSpush

#define HDGSpush HDGLadd_to_beginning

## Function Documentation

## ◆ HDGLadd_to_beginning()

intn HDGLadd_to_beginning | ( | Generic_list | list,
|  | void * | pointer )

## ◆ HDGLadd_to_end()

intn HDGLadd_to_end | ( | Generic_list | list,
|  | void * | pointer )

## ◆ HDGLadd_to_list()

intn HDGLadd_to_list | ( | Generic_list | list,
|  | void * | pointer )

## ◆ HDGLall_such_that()

Generic_list HDGLall_such_that | ( | Generic_list | list,
|  | intn(*)(void *pointer, void *args) | fn,
|  | void * | args )

## ◆ HDGLcopy_list()

Generic_list HDGLcopy_list | ( | Generic_list | list | ) |

## ◆ HDGLcurrent_in_list()

void * HDGLcurrent_in_list | ( | Generic_list | list | ) |

## ◆ HDGLdestroy_list()

void HDGLdestroy_list | ( | Generic_list * | list | ) |

## ◆ HDGLfirst_in_list()

void * HDGLfirst_in_list | ( | Generic_list | list | ) |

## ◆ HDGLfirst_that()

void * HDGLfirst_that | ( | Generic_list | list,
|  | intn(*)(void *pointer, void *args) | fn,
|  | void * | args )

## ◆ HDGLinitialize_list()

intn HDGLinitialize_list | ( | Generic_list * | list | ) |

## ◆ HDGLinitialize_sorted_list()

intn HDGLinitialize_sorted_list | ( | Generic_list * | list,
|  | intn(*)(void *a, void *b) | lt )

## ◆ HDGLis_empty()

intn HDGLis_empty | ( | Generic_list | list | ) |

## ◆ HDGLis_in_list()

intn HDGLis_in_list | ( | Generic_list | list,
|  | void * | pointer )

## ◆ HDGLlast_in_list()

void * HDGLlast_in_list | ( | Generic_list | list | ) |

## ◆ HDGLlast_that()

void * HDGLlast_that | ( | Generic_list | list,
|  | intn(*)(void *pointer, void *args) | fn,
|  | void * | args )

## ◆ HDGLnext_in_list()

void * HDGLnext_in_list | ( | Generic_list | list | ) |

## ◆ HDGLnext_that()

void * HDGLnext_that | ( | Generic_list | list,
|  | intn(*)(void *pointer, void *args) | fn,
|  | void * | args )

## ◆ HDGLnum_of_objects()

intn HDGLnum_of_objects | ( | Generic_list | list | ) |

## ◆ HDGLpeek_at_beginning()

void * HDGLpeek_at_beginning | ( | Generic_list | list | ) |

## ◆ HDGLpeek_at_end()

void * HDGLpeek_at_end | ( | Generic_list | list | ) |

## ◆ HDGLperform_on_list()

void HDGLperform_on_list | ( | Generic_list | list,
|  | void(*)(void *pointer, void *args) | fn,
|  | void * | args )

## ◆ HDGLprevious_in_list()

void * HDGLprevious_in_list | ( | Generic_list | list | ) |

## ◆ HDGLprevious_that()

void * HDGLprevious_that | ( | Generic_list | list,
|  | intn(*)(void *pointer, void *args) | fn,
|  | void * | args )

## ◆ HDGLremove_all()

void HDGLremove_all | ( | Generic_list | list | ) |

## ◆ HDGLremove_all_such_that()

void HDGLremove_all_such_that | ( | Generic_list | list,
|  | intn(*)(void *pointer, void *args) | fn,
|  | void * | args )

## ◆ HDGLremove_current()

void * HDGLremove_current | ( | Generic_list | list | ) |

## ◆ HDGLremove_from_beginning()

void * HDGLremove_from_beginning | ( | Generic_list | list | ) |

## ◆ HDGLremove_from_end()

void * HDGLremove_from_end | ( | Generic_list | list | ) |

## ◆ HDGLremove_from_list()

void * HDGLremove_from_list | ( | Generic_list | list,
|  | void * | pointer )

## ◆ HDGLreset_to_beginning()

void HDGLreset_to_beginning | ( | Generic_list | list | ) |

## ◆ HDGLreset_to_end()

void HDGLreset_to_end | ( | Generic_list | list | ) |